# GimpUi.ColorProfileStore.new

    function new(history: Gio.File): Gtk.ListStore {
        // Gjs wrapper for gimp_color_profile_store_new()
    }

Creates a new GimpUi.ColorProfileStore object and populates it with last used profiles read from the file history. The updated history is written back to disk when the store is disposed.

The Gio.File passed as history is typically created using the following code snippet: <informalexample><programlisting> gchar *history = gimp_personal_rc_file ("profilerc"); </programlisting></informalexample>

Since 2.4

history

  Gio.File of the profilerc (or null for no history)

Returns

  a new GimpUi.ColorProfileStore